Index: tmp/org.txm.ahc.core/src/org/txm/ahc/core/chartsengine/r/RAHCChartCreator.java
===================================================================
--- tmp/org.txm.ahc.core/src/org/txm/ahc/core/chartsengine/r/RAHCChartCreator.java	(revision 1766)
+++ tmp/org.txm.ahc.core/src/org/txm/ahc/core/chartsengine/r/RAHCChartCreator.java	(revision 1767)
@@ -38,9 +38,7 @@
 			cmd = "plot.HCPC("+ ahc.getSymbol() +", new.plot=FALSE)";
 		}
 		
-		this.getChartsEngine().plot(file, cmd);
-		
-		return file;
+		return this.getChartsEngine().plot(file, cmd);
 	}
 
 	
Index: tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 1766)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 1767)
@@ -80,8 +80,8 @@
 	 * @param file
 	 * @param cmd
 	 */
-	public void plot(File file, String cmd)	{
-		this.plot(file, cmd, null, null, null);
+	public File plot(File file, String cmd)	{
+		return this.plot(file, cmd, null, null, null);
 	}
 	
 	/**
@@ -91,7 +91,7 @@
 	 * @param cmd
 	 * @param result
 	 */
-	public void plot(File file, String cmd, ChartResult result, String title, String subtitle)	{
+	public File plot(File file, String cmd, ChartResult result, String title, String subtitle)	{
 		try {
 
 			if (!cmd.endsWith(";") && !cmd.endsWith("\n")) { //$NON-NLS-1$
@@ -126,18 +126,12 @@
 			}
 			RWorkspaceRenderer.getInstance().plot(file, cmd, this.rDevice);
 		}
-		catch(RWorkspaceException e) {
-			// TODO Auto-generated catch block
+		catch(Exception e) {
 			e.printStackTrace();
+			return null;
 		}
-		catch(REXPMismatchException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		catch(StatException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
+		
+		return file;
 	}
 	
 	
Index: tmp/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java	(revision 1766)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java	(revision 1767)
@@ -85,8 +85,8 @@
 	 * @throws REXPMismatchException the rEXP mismatch exception
 	 * @throws StatException the stat exception
 	 */
-	public void plot(File file, String expr) throws REXPMismatchException,	StatException {
-		plot(file, expr, defaultDevice );
+	public File plot(File file, String expr) throws REXPMismatchException,	StatException {
+		return plot(file, expr, defaultDevice );
 	}
 
 	/**
@@ -98,15 +98,14 @@
 	 * @throws REXPMismatchException the rEXP mismatch exception
 	 * @throws StatException the stat exception
 	 */
-	public void plot(File file, String expr, RDevice device)throws REXPMismatchException,
-	StatException
+	public File plot(File file, String expr, RDevice device) throws REXPMismatchException, StatException
 	{
 		try {
 			file.createNewFile();
 		}
 		catch (IOException e1) {
 			org.txm.utils.logger.Log.printStackTrace(e1);
-			return;
+			return null;
 		}
 		if (!file.canWrite()) {
 			Log.severe(TXMCoreMessages.bind("** Error: can not write in file {0}.", file));
@@ -164,6 +163,8 @@
 		// ok, so the device should be fine - let's plot
 		workspace.voidEval(expr);
 		workspace.voidEval("dev.off()"); //$NON-NLS-1$
+		
+		return file;
 	}
 
 	/**
Index: tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java	(revision 1766)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java	(revision 1767)
@@ -60,7 +60,7 @@
 				this.getPanel().resetView();
 			}
 		}
-		catch(MalformedURLException e) {
+		catch(Exception e) {
 			Log.severe("Can't load SVG document from file: " + file + e);
 			Log.printStackTrace(e);
 		}
